Attribute VB_Name = "modFunc"
Option Explicit

' **************** sonstige Enums ****************
Public Enum STGM
    STGM_FAILIFTHERE = 0
    STGM_DIRECT = 0
    STGM_READ = 0
    STGM_WRITE = 1
    STGM_READWRITE = 2
    STGM_SHARE_EXCLUSIVE = &H10
    STGM_SHARE_DENY_WRITE = &H20
    STGM_SHARE_DENY_READ = &H30
    STGM_SHARE_DENY_NONE = &H40
    STGM_CREATE = &H1000
    STGM_TRANSACTED = &H10000
    STGM_CONVERT = &H20000
    STGM_PRIORITY = &H40000
    STGM_NOSCRATCH = &H100000
    STGM_NOSNAPSHOT = &H200000
    STGM_DIRECT_SWMR = &H400000
    STGM_SIMPLE = &H8000000
    STGM_DELETEONRELEASE = &H4000000
End Enum

' **************** sonstige Types ****************
Public Type GUID
    Data1 As Long
    Data2 As Integer
    Data3 As Integer
    Data4(0 To 7) As Byte
End Type

' **************** Shlwapi.dll ****************
Public Declare Function SHCreateStreamOnFileEx Lib "shlwapi.dll" ( _
                        ByVal pszFile As Long, _
                        ByVal grfMode As STGM, _
                        ByVal dwAttributes As Long, _
                        ByVal fCreate As Long, _
                        ByVal pstmTemplate As Long, _
                        ByRef ppstm As Long) As Long

' **************** Ole32.dll ****************
Private Declare Function CLSIDFromString Lib "Ole32.dll" ( _
                         ByVal pString As Long, _
                         ByRef pclsid As GUID) As Long

Public Function String2Guid(ByVal sGUID As String) As GUID

    Dim tGUID As GUID
    Dim psGUID As Long

    psGUID = StrPtr(sGUID)
    
    Call CLSIDFromString(psGUID, tGUID)

    String2Guid = tGUID

End Function

