Attribute VB_Name = "modWIC"
Option Explicit

' **************** Sonstige Const ****************
Public Const S_OK As Long = &H0

' **************** WIC Const ****************
Public Const WINCODEC_SDK_VERSION1 As Long = &H236 ' ab WinXP SP2 mit installiertem WIC, ansonsten ab WinXP SP3
Public Const WINCODEC_SDK_VERSION2 As Long = &H237 ' ab Win7 mit PLATFORM_UPDATE, ansonsten ab Win8

' **************** WIC PixelFormat Const ****************
Public Const GUID_WICPixelFormat24bppBGR As String = "{6fddc324-4e03-4bfe-b185-3d77768dc90c}"

' **************** WIC ContainerFormat Const ****************
Public Const GUID_ContainerFormatBmp As String = "{0af1d87e-fcfe-4188-bdeb-a7906471cbe3}"

' **************** WIC Enums ****************
Public Enum WICDecodeOptions
    WICDecodeMetadataCacheOnDemand = &H0
    WICDecodeMetadataCacheOnLoad = &H1
End Enum

Public Enum WICBitmapEncoderCacheOption
    WICBitmapEncoderCacheInMemory = &H0
    WICBitmapEncoderCacheTempFile = &H1
    WICBitmapEncoderNoCache = &H2
End Enum

Public Enum WICAccessOption
    GENERIC_READ = &H80000000
    GENERIC_WRITE = &H40000000
End Enum

' **************** WIC Types ****************
Public Type WICRect
    x As Long
    y As Long
    width As Long
    height As Long
End Type

' **************** WIC API ****************
Public Declare Function WICConvertBitmapSource Lib "Windowscodecs.dll" ( _
                        ByRef dstFormat As GUID, _
                        ByVal pISrc As Long, _
                        ByRef ppIDst As Long) As Long

' **************** WIC API Proxy API ****************
Public Declare Function WICCreateImagingFactory_Proxy Lib "Windowscodecs.dll" ( _
                        ByVal SDKVersion As Long, _
                        ByRef ppIImagingFactory As Long) As Long

Public Declare Function IWICImagingFactory_CreateStream_Proxy Lib "Windowscodecs.dll" ( _
                        ByVal pFactory As Long, _
                        ByRef ppIWICStream As Long) As Long

Public Declare Function IWICStream_InitializeFromIStream_Proxy Lib "Windowscodecs.dll" ( _
                        ByVal pIWICStream As Long, _
                        ByVal pIStream As Long) As Long

Public Declare Function IWICImagingFactory_CreateEncoder_Proxy Lib "Windowscodecs.dll" ( _
                        ByVal pFactory As Long, _
                        ByRef guidContainerFormat As GUID, _
                        ByVal pguidVendor As Long, _
                        ByRef ppIEncoder As Long) As Long

Public Declare Function IWICBitmapEncoder_Initialize_Proxy Lib "Windowscodecs.dll" ( _
                        ByVal pIWICEncoder As Long, _
                        ByVal pIStream As Long, _
                        ByVal cacheOption As WICBitmapEncoderCacheOption) As Long

Public Declare Function IWICImagingFactory_CreateDecoderFromFilename_Proxy Lib "Windowscodecs.dll" ( _
                        ByVal pFactory As Long, _
                        ByVal wzFilename As Long, _
                        ByVal pguidVendor As Long, _
                        ByVal dwDesiredAccess As WICAccessOption, _
                        ByVal metadataOptions As WICDecodeOptions, _
                        ByRef ppIDecoder As Long) As Long

Public Declare Function IWICBitmapDecoder_GetFrameCount_Proxy Lib "Windowscodecs.dll" ( _
                        ByVal pIWICDecoder As Long, _
                        ByRef pCount As Long) As Long

Public Declare Function IWICBitmapDecoder_GetFrame_Proxy Lib "Windowscodecs.dll" ( _
                        ByVal pIWICDecoder As Long, _
                        ByVal index As Long, _
                        ByRef ppIBitmapFrame As Long) As Long

Public Declare Function IWICBitmapEncoder_CreateNewFrame_Proxy Lib "Windowscodecs.dll" ( _
                        ByVal pIWICEncoder As Long, _
                        ByRef ppIFrameEncode As Long, _
                        ByRef ppIEncoderOptions As Long) As Long

Public Declare Function IWICBitmapFrameEncode_Initialize_Proxy Lib "Windowscodecs.dll" ( _
                        ByVal pIWICBitmapFrameEncode As Long, _
                        ByVal pIEncoderOptions As Long) As Long

Public Declare Function IWICBitmapFrameEncode_SetSize_Proxy Lib "Windowscodecs.dll" ( _
                        ByVal pIWICBitmapFrameEncode As Long, _
                        ByVal uiWidth As Long, _
                        ByVal uiHeight As Long) As Long

Public Declare Function IWICBitmapSource_GetSize_Proxy Lib "Windowscodecs.dll" ( _
                        ByVal pIWICBitmapSource As Long, _
                        ByRef puiWidth As Long, _
                        ByRef puiHeight As Long) As Long

Public Declare Function IWICBitmapFrameEncode_WriteSource_Proxy Lib "Windowscodecs.dll" ( _
                        ByVal pIWICBitmapFrameEncode As Long, _
                        ByVal pIWICBitmapSource As Long, _
                        ByRef prc As WICRect) As Long

Public Declare Function IWICBitmapEncoder_Commit_Proxy Lib "Windowscodecs.dll" ( _
                        ByVal pIWICBitmapEncoder As Long) As Long

Public Declare Function IWICBitmapFrameEncode_Commit_Proxy Lib "Windowscodecs.dll" ( _
                        ByVal pIWICBitmapFrameEncode As Long) As Long

